/* $Id: graph_functions.h,v 1.2 2003/06/09 12:01:22 dw Exp $ */

/* Copyright (C) 2003 Damian Weber dweber@htw-saarland.de

   This file is part of the Damian Weber's Dijkstra implementation, 
   a collection of source files to compute shortest paths in graphs
   with non-negative weights.

   Damian Weber's Dijkstra implementation is free software; you can 
   redistribute it and/or modify it under the terms of the GNU General 
   Public License as published by the Free Software Foundation; either 
   version 2, or (at your option) any later version.

   Damian Weber's Dijkstra implementation is distributed in the hope 
   that it will be useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
   See the GNU General Public License for more details.

   The GNU General Public License is often shipped with GNU software, and
   is generally kept in a file called COPYING or LICENSE.  If you do not
   have a copy of the license, write to the Free Software Foundation,
   59 Temple Place, Suite 330, Boston, MA 02111 USA. 
*/


#ifndef GRAPH_FUNCTIONS_H
#define GRAPH_FUNCTIONS_H

#define INFTY 999999

void output(int n, int **a);
void assign(int **d, int **w, int n);
void graph_generate(int n,int **a);
int **graph_read(char *fname, int *np);
#endif
